onEvent('recipes', e => {
  e.remove({ output: 'industrialforegoing:machine_frame_pity' })
  e.remove({ output: 'industrialforegoing:machine_frame_simple' })
  e.remove({ output: 'industrialforegoing:machine_frame_advanced' })
  e.remove({ output: 'industrialforegoing:machine_frame_supreme' })
  e.remove({ output: 'industrialforegoing:dissolution_chamber' })
  e.remove({ output: 'industrialforegoing:pitiful_generator' })
  e.remove({ output: 'industrialforegoing:latex_processing_unit' })
  e.remove({ output: 'industrialforegoing:common_black_hole_unit' })
  e.remove({ output: 'industrialforegoing:pity_black_hole_unit' })
  e.remove({ output: 'industrialforegoing:common_black_hole_tank' })
  e.remove({ output: 'industrialforegoing:pity_black_hole_tank' })
  e.remove({ output: 'industrialforegoing:fluid_extractor' })
  e.remove({ output: 'industrialforegoing:animal_rancher' })
  e.remove({ output: 'industrialforegoing:plant_gatherer' })
  e.remove({ output: 'industrialforegoing:hydroponic_bed' })
  e.remove({ output: 'industrialforegoing:plant_sower' })
  e.remove({ output: 'industrialforegoing:animal_feeder' })
  e.remove({ output: 'industrialforegoing:mob_slaughter_factory' })
  e.remove({ output: 'industrialforegoing:sewer' })
  e.remove({ output: 'industrialforegoing:sewage_composter' })
  e.remove({ output: 'industrialforegoing:animal_baby_separator' })
  e.remove({ output: 'industrialforegoing:biofuel_generator' })
  e.remove({ output: 'industrialforegoing:item_transporter_type' })
  e.remove({ output: 'industrialforegoing:fluid_transporter_type' })
  e.remove({ output: 'industrialforegoing:world_transporter_type' })
  e.remove({ output: 'industrialforegoing:bioreactor' })
  e.remove({ output: 'industrialforegoing:block_breaker' })
  e.remove({ output: 'industrialforegoing:fluid_placer' })
  e.remove({ output: 'industrialforegoing:resourceful_furnace' })
  e.remove({ output: 'industrialforegoing:fluid_collector' })
  e.remove({ output: Item.of('appliedenergistics2:facade', '{item:"industrialforegoing:machine_frame_pity"}') })
  e.remove({ output: 'industrialforegoing:spores_recreator' })
  e.remove({ output: 'industrialforegoing:sludge_refiner' })
  e.remove({ output: 'industrialforegoing:water_condensator' })
  e.remove({ output: 'industrialforegoing:block_placer' })
  e.remove({ output: 'industrialforegoing:dye_mixer' })
  e.remove({ output: 'industrialforegoing:mechanical_dirt' })
  //e.remove({output: })

  e.shaped('industrialforegoing:dissolution_chamber', [
    '434',
    '121',
    '434'
  ], {
    1: 'pneumaticcraft:plastic', 2: 'kubejs:basicframe', 3: 'thermal:diamond_gear', 4: 'pneumaticcraft:smart_chest'
  })

  e.shaped('industrialforegoing:latex_processing_unit', [
    '242',
    '353',
    '212'
  ], {
    1: 'minecraft:furnace', 2: 'minecraft:iron_ingot', 3: 'minecraft:bucket', 4: 'thermal:gold_gear', 5: 'kubejs:resonantmachineframe'
  })

  e.shaped('industrialforegoing:fluid_extractor', [
    '141',
    '353',
    '414'
  ], {
    1: Item.of('minecraft:diamond_axe', '{Damage:0,AS_Amulet_Holder:[I;448469852,598296564,-1489413476,-1040658644]}'), 3: 'minecraft:bucket', 4: 'thermal:gold_gear', 5: 'kubejs:basicframe'
  })

  e.shaped('industrialforegoing:animal_rancher', [
    '444',
    '212',
    '333'
  ], {
    1: 'kubejs:basicframe', 2: 'thermal:gold_gear', 3: 'industrialforegoing:plastic', 4: Item.of('minecraft:shears', '{Damage:0,AS_Amulet_Holder:[I;448469852,598296564,-1489413476,-1040658644]}')
  })

  e.shaped('industrialforegoing:plant_gatherer', [
    '456',
    '212',
    '333'
  ], {
    1: 'kubejs:basicframe', 2: 'thermal:gold_gear', 3: 'industrialforegoing:plastic', 4: Item.of('minecraft:shears', '{Damage:0,AS_Amulet_Holder:[I;448469852,598296564,-1489413476,-1040658644]}'), 5: Item.of('minecraft:iron_hoe', '{Damage:0,AS_Amulet_Holder:[I;448469852,598296564,-1489413476,-1040658644]}'), 6: Item.of('minecraft:iron_axe', '{Damage:0,AS_Amulet_Holder:[I;448469852,598296564,-1489413476,-1040658644]}')
  })

  e.shaped('industrialforegoing:hydroponic_bed', [
    '545',
    '212',
    '333'
  ], {
    1: 'kubejs:basicframe', 2: 'thermal:gold_gear', 3: 'industrialforegoing:plastic', 4: 'industrialforegoing:fertilizer', 5: Item.of('minecraft:iron_hoe', '{Damage:0,AS_Amulet_Holder:[I;448469852,598296564,-1489413476,-1040658644]}')
  })

  e.shaped('industrialforegoing:plant_sower', [
    '444',
    '212',
    '333'
  ], {
    1: 'kubejs:basicframe', 2: 'thermal:gold_gear', 3: 'industrialforegoing:plastic', 4: 'minecraft:flower_pot'
  })

  e.shaped('industrialforegoing:animal_feeder', [
    '454',
    '212',
    '333'
  ], {
    1: 'kubejs:basicframe', 2: 'thermal:gold_gear', 3: 'industrialforegoing:plastic', 4: 'minecraft:golden_carrot', 5: 'minecraft:golden_apple'
  })

  e.shaped('industrialforegoing:mob_slaughter_factory', [
    '454',
    '212',
    '333'
  ], {
    1: 'kubejs:basicframe', 2: 'thermal:gold_gear', 3: 'industrialforegoing:plastic', 4: Item.of('minecraft:diamond_sword', '{Damage:0,AS_Amulet_Holder:[I;448469852,598296564,-1489413476,-1040658644]}'), 5: Item.of('minecraft:diamond_axe', '{Damage:0,AS_Amulet_Holder:[I;448469852,598296564,-1489413476,-1040658644]}')
  })

  e.shaped('industrialforegoing:sewer', [
    '454',
    '212',
    '333'
  ], {
    1: 'kubejs:basicframe', 2: 'thermal:gold_gear', 3: 'industrialforegoing:plastic', 4: 'minecraft:brick', 5: 'minecraft:bucket'
  })

  e.shaped('industrialforegoing:sewage_composter', [
    '454',
    '212',
    '333'
  ], {
    1: 'kubejs:basicframe', 2: 'thermal:gold_gear', 3: 'industrialforegoing:plastic', 4: 'minecraft:brick', 5: 'ironfurnaces:iron_furnace'
  })

  e.shaped('industrialforegoing:animal_baby_separator', [
    '454',
    '212',
    '333'
  ], {
    1: 'kubejs:basicframe', 2: 'thermal:gold_gear', 3: 'industrialforegoing:plastic', 4: 'minecraft:wheat', 5: 'minecraft:golden_carrot'
  })
  e.shaped('industrialforegoing:animal_baby_separator', [
    '454',
    '212',
    '333'
  ], {
    1: 'kubejs:basicframe', 2: 'thermal:gold_gear', 3: 'industrialforegoing:plastic', 4: 'minecraft:wheat', 5: 'minecraft:golden_carrot'
  })

  e.shaped('industrialforegoing:biofuel_generator', [
    '454',
    '212',
    '333'
  ], {
    1: 'kubejs:basicframe', 2: 'thermal:gold_gear', 3: 'industrialforegoing:plastic', 4: 'ironfurnaces:iron_furnace', 5: 'industrialforegoing:biofuel_bucket'
  })
  e.shaped('industrialforegoing:bioreactor', [
    '454',
    '212',
    '333'
  ], {
    1: 'kubejs:basicframe', 2: 'thermal:gold_gear', 3: 'industrialforegoing:plastic', 4: 'ironfurnaces:iron_furnace', 5: 'minecraft:slime_ball'
  })

  e.shaped('industrialforegoing:block_breaker', [
    '444',
    '212',
    '333'
  ], {
    1: 'kubejs:basicframe', 2: 'thermal:gold_gear', 3: 'industrialforegoing:plastic', 4: Item.of('minecraft:diamond_pickaxe', '{Damage:0,AS_Amulet_Holder:[I;448469852,598296564,-1489413476,-1040658644]}')
  })

  e.shaped('industrialforegoing:fluid_placer', [
    '444',
    '212',
    '333'
  ], {
    1: 'kubejs:basicframe', 2: 'thermal:gold_gear', 3: 'industrialforegoing:plastic', 4: 'minecraft:water_bucket'
  })

  e.shaped('industrialforegoing:spores_recreator', [
    '454',
    '212',
    '333'
  ], {
    1: 'kubejs:basicframe', 2: 'thermal:gold_gear', 3: 'industrialforegoing:plastic', 4: 'minecraft:brown_mushroom', 5: 'minecraft:red_mushroom'
  })

  e.shaped('industrialforegoing:sludge_refiner', [
    '454',
    '212',
    '333'
  ], {
    1: 'kubejs:basicframe', 2: 'thermal:gold_gear', 3: 'industrialforegoing:plastic', 4: 'ironfurnaces:iron_furnace', 5: 'industrialforegoing:sludge_bucket'
  })
  e.shaped('industrialforegoing:block_placer', [
    '454',
    '212',
    '333'
  ], {
    1: 'kubejs:basicframe', 2: 'thermal:gold_gear', 3: 'industrialforegoing:plastic', 4: 'minecraft:redstone_block', 5: 'minecraft:dropper'
  })
  e.shaped('industrialforegoing:dye_mixer', [
    '444',
    '212',
    '333'
  ], {
    1: 'kubejs:basicframe', 2: 'thermal:gold_gear', 3: 'industrialforegoing:plastic', 4: '#forge:dyes'
  })
})